# Uses of Class
org.apache.lucene.queryparser.classic.QueryParser

Packages that use QueryParser
Package
Description
org.apache.lucene.queryparser.classic
A simple query parser implemented with JavaCC.
org.apache.lucene.queryparser.complexPhrase
QueryParser which permits complex phrase query syntax eg "(john jon jonathan~) peters*"
org.apache.lucene.queryparser.ext
Extendable QueryParser provides a simple and flexible extension mechanism by overloading query field names.
org.apache.lucene.queryparser.xml
Parser that produces Lucene Query objects from XML streams.
org.apache.lucene.queryparser.xml.builders
XML Parser factories for different Lucene Query/Filters.

- ## Uses of QueryParser in org.apache.lucene.queryparser.classic

  Subclasses of QueryParser in org.apache.lucene.queryparser.classic
  Modifier and Type
  Class
  Description
  `class`
  `MultiFieldQueryParser`
  A QueryParser which constructs queries to search multiple fields.

- ## Uses of QueryParser in org.apache.lucene.queryparser.complexPhrase

  Subclasses of QueryParser in org.apache.lucene.queryparser.complexPhrase
  Modifier and Type
  Class
  Description
  `class`
  `ComplexPhraseQueryParser`
  QueryParser which permits complex phrase query syntax eg "(john jon jonathan~) peters*".

- ## Uses of QueryParser in org.apache.lucene.queryparser.ext

  Subclasses of QueryParser in org.apache.lucene.queryparser.ext
  Modifier and Type
  Class
  Description
  `class`
  `ExtendableQueryParser`
  The `ExtendableQueryParser` enables arbitrary query parser extension based on a customizable field naming scheme.
  Methods in org.apache.lucene.queryparser.ext that return QueryParser
  Modifier and Type
  Method
  Description
  `QueryParser`
  ExtensionQuery.`topLevelParser()`
  Returns the value of the `topLevelParser` record component.
  Constructors in org.apache.lucene.queryparser.ext with parameters of type QueryParser
  Modifier
  Constructor
  Description
  ``
  `ExtensionQuery(QueryParser topLevelParser, String field, String rawQueryString)`
  Creates an instance of a `ExtensionQuery` record class.

- ## Uses of QueryParser in org.apache.lucene.queryparser.xml

  Fields in org.apache.lucene.queryparser.xml declared as QueryParser
  Modifier and Type
  Field
  Description
  `protected QueryParser`
  CoreParser.`parser`
  Constructors in org.apache.lucene.queryparser.xml with parameters of type QueryParser
  Modifier
  Constructor
  Description
  `protected`
  `CoreParser(String defaultField, Analyzer analyzer, QueryParser parser)`
  ``
  `CoreParser(Analyzer analyzer, QueryParser parser)`
  Construct an XML parser that uses a single instance QueryParser for handling UserQuery tags - all parse operations are synchronised on this parser
  ``
  `CorePlusExtensionsParser(Analyzer analyzer, QueryParser parser)`
  Construct an XML parser that uses a single instance QueryParser for handling UserQuery tags - all parse operations are synchronized on this parser
  `protected`
  `CorePlusQueriesParser(String defaultField, Analyzer analyzer, QueryParser parser)`
  ``
  `CorePlusQueriesParser(Analyzer analyzer, QueryParser parser)`
  Construct an XML parser that uses a single instance QueryParser for handling UserQuery tags - all parse operations are synchronized on this parser

- ## Uses of QueryParser in org.apache.lucene.queryparser.xml.builders

  Methods in org.apache.lucene.queryparser.xml.builders that return QueryParser
  Modifier and Type
  Method
  Description
  `protected QueryParser`
  UserInputQueryBuilder.`createQueryParser(String fieldName, Analyzer analyzer)`
  Method to create a QueryParser - designed to be overridden
  Constructors in org.apache.lucene.queryparser.xml.builders with parameters of type QueryParser
  Modifier
  Constructor
  Description
  ``
  `UserInputQueryBuilder(QueryParser parser)`
  This constructor has the disadvantage of not being able to change choice of default field name